Native XYZ provider doesn't display all available zoom levels

2017-06-05 04:37 PM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.18.8 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24564

Description

Hi !

Native XYZ provider is great, but it seems to stay stuck at a hardcoded zoom level (probably around 18 or 19), which is very frustrating

when working with higher resolution rasters.

I think the provider shouldn't hardcode those values.

Of course there's a waste of queries (getting 404s) when those zoom levels don't exist. This same waste already happens when

navigating outside of the XYZ layer's extents. The best would be able to provide min/max zoom levels and extents optionally when

creating the XYZ connection.

Bests,

Olivier

History

#1 - 2017-06-14 02:33 PM - Olivier Dalang

- Assignee deleted (Martin Dobias)

- Status changed from Open to Closed

For future reference (from the ML). Thanks Martin !

2017-06-13 15:54 GMT+00:00 Martin Dobias:

(...) this is already implemented. In QGIS 3.0 there is also GUI to

configure the min/max zoom level for XYZ tiles. In QGIS 2.18 it is not

available in GUI, but it can be still configured when adding XYZ tiles

layer in Python - one just needs to specify "zmin" and/or "zmax" 

parameters in data source URI. (...)

#2 - 2017-06-29 03:30 AM - Ahmed Fasih

2017-06-13 15:54 GMT+00:00 Martin Dobias:

(...) this is already implemented. In QGIS 3.0 there is also GUI to
configure the min/max zoom level for XYZ tiles. In QGIS 2.18 it is not

available in GUI, but it can be still configured when adding XYZ tiles

layer in Python - one just needs to specify "zmin" and/or "zmax" 

parameters in data source URI. (...)

For the QGIS beginners just stumbling onto this, could you provide a tiny bit more description of how to do this in 2.18? I see “Plugins/Python Console” and

just need to know what function to search for to add XYZ tiles with zmin/zmax. Thank you!
